"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Async = exports.FieldFeedbacks = exports.FormWithConstraints = exports.Input = exports.FieldFeedbackTooltip = exports.FieldFeedback = void 0;
var react_form_with_constraints_1 = require("react-form-with-constraints");
Object.defineProperty(exports, "Async", { enumerable: true, get: function () { return react_form_with_constraints_1.Async; } });
Object.defineProperty(exports, "FieldFeedbacks", { enumerable: true, get: function () { return react_form_with_constraints_1.FieldFeedbacks; } });
Object.defineProperty(exports, "FormWithConstraints", { enumerable: true, get: function () { return react_form_with_constraints_1.FormWithConstraints; } });
var FieldFeedback = (function (_super) {
    __extends(FieldFeedback, _super);
    function FieldFeedback() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FieldFeedback.defaultProps = __assign(__assign({}, react_form_with_constraints_1.FieldFeedback.defaultProps), { classes: {
            error: 'invalid-feedback',
            warning: 'warning-feedback',
            info: 'info-feedback',
            whenValid: 'valid-feedback'
        } });
    return FieldFeedback;
}(react_form_with_constraints_1.FieldFeedback));
exports.FieldFeedback = FieldFeedback;
var FieldFeedbackTooltip = (function (_super) {
    __extends(FieldFeedbackTooltip, _super);
    function FieldFeedbackTooltip() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FieldFeedbackTooltip.defaultProps = __assign(__assign({}, react_form_with_constraints_1.FieldFeedback.defaultProps), { classes: {
            error: 'invalid-tooltip',
            warning: 'warning-tooltip',
            info: 'info-tooltip',
            whenValid: 'valid-tooltip'
        } });
    return FieldFeedbackTooltip;
}(react_form_with_constraints_1.FieldFeedback));
exports.FieldFeedbackTooltip = FieldFeedbackTooltip;
var Input = (function (_super) {
    __extends(Input, _super);
    function Input() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Input.defaultProps = {
        classes: {
            isPending: 'is-pending',
            hasErrors: 'is-invalid',
            hasWarnings: 'is-warning',
            hasInfos: 'is-info',
            isValid: 'is-valid'
        }
    };
    return Input;
}(react_form_with_constraints_1.Input));
exports.Input = Input;
//# sourceMappingURL=Bootstrap.js.map