import { Async, FieldFeedback as _FieldFeedback, FieldFeedbacks, FormWithConstraints, Input as _Input } from 'react-form-with-constraints';
export class FieldFeedback extends _FieldFeedback {
}
FieldFeedback.defaultProps = {
    ..._FieldFeedback.defaultProps,
    classes: {
        error: 'invalid-feedback',
        warning: 'warning-feedback',
        info: 'info-feedback',
        whenValid: 'valid-feedback'
    }
};
export class FieldFeedbackTooltip extends _FieldFeedback {
}
FieldFeedbackTooltip.defaultProps = {
    ..._FieldFeedback.defaultProps,
    classes: {
        error: 'invalid-tooltip',
        warning: 'warning-tooltip',
        info: 'info-tooltip',
        whenValid: 'valid-tooltip'
    }
};
export class Input extends _Input {
}
Input.defaultProps = {
    classes: {
        isPending: 'is-pending',
        hasErrors: 'is-invalid',
        hasWarnings: 'is-warning',
        hasInfos: 'is-info',
        isValid: 'is-valid'
    }
};
export { FormWithConstraints, FieldFeedbacks, Async };
//# sourceMappingURL=Bootstrap.js.map